Bug 18211 - "fdisk -l" does not show any information
Summary: "fdisk -l" does not show any information
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-03 13:05 UTC by Jim Simmons
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-07 04:50:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Simmons 2000-10-03 13:05:28 UTC
The man page for fdisk says a "fdisk -l" without any arguments should
list those mentioned in /proc/partitions.  On a system with just two
scsi disks (sda and sdb), "fdisk -l" shows nothing.  "fdisk -l /dev/sda"
or "fdisk -l /dev/sdb" work, though.  /proc/partitions shows:

major minor  #blocks  name     rio rmerge rsect ruse wio wmerge wsect wuse
running use aveq

   8     0    2098702 sda      69199 100267 1356268 1285600 144040 40066
1480304 16034820 0 2082200 17397770
   8     1    1702858 sda1     68475 98243 1334386 1271540 143300 36785
1448136 16006570 0 2069100 17355460
   8     2     393592 sda2     720 2012 21850 14010 740 3281 32168 28250 0
19030 42260
   8    16   17783240 sdb      96013 2986629 6165830 844510 22890 137747
321776 10563380 0 618420 11410800
   8    17    4441941 sdb1     69009 2759440 5656898 452230 8723 126824
271244 4725520 0 376790 5179830
   8    18    4450005 sdb2     1100 76 2352 8690 14 13 54 4130 0 12820
12820
   8    19    4450005 sdb3     1105 67 2344 5580 14 13 54 4280 0 9810 9860
   8    20    4433940 sdb4     24795 227034 504204 377950 14139 10897 50424
5829450 0 258050 6208230

fdisk -V shows "fdisk v2.10m" (this is a basic RedHat 7.0 install).

Comment 1 Nick Urbanik 2001-01-27 05:51:03 UTC
I have noticed this was the case before RH 7.0

Comment 2 Erik Troan 2001-02-07 04:50:53 UTC
fixed in util-linux-2.10s in rawhide


Note You need to log in before you can comment on or make changes to this bug.